Subject: Re: Efficiently storing SHA-1 ↔ SHA-256 mappings in compatibility mode

From: Junio C Hamano <[email-masked]>
Date: Thu, 28 Aug 2025 07:53:19 -0700

Eric Wong <[email-masked]> writes:

> I don't like SQLite's approach to rejecting outside
> contributions; but otherwise it's served me well with various
> bits of Perl code for the last 15 years or so.  Yeah, the SQLite
> developer doesn't have the highest opinion of git, but we
> shouldn't let that affect our decision making.

They're in "public domain", IIRC.  And portable than we are ;-)

> [1] Fwiw, I enjoyed working on git a lot more when it used more
>     high-level scripting glue.  I'm disappointed in the overall
>     movement towards AOT languages (C, now Rust) due to large
>     toolchains, slow builds + linkers.  Hacking was much more
>     discoverable when I could just edit installed scripts like
>     config files and not have to deal with builds at all :>

Ahh, the halcyon days...